<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Members - Properties</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a" name="index_a"></a>- a -</h3><ul>
<li>Activities&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a9aacd642a25a1b02fe93faa4fdec4efe">xAPI_Definitions_Parser.Definitions.xAPIContext</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a53cf176ba8aa3e3024fec7d0f5f8d024">xAPI_Definitions_Parser.IO.Context</a></li>
<li>ActivitiesClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a060b25d52d9cd787d38278d20b84c404">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>ActivityClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a398f498e69daf7bfff46d004bcc2e1b1">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>Arguments&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a0d624062d157c8c086a4b6056c720a52">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
</ul>


<h3><a id="index_b" name="index_b"></a>- b -</h3><ul>
<li>BaseArguments&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#abff2bbc79cea615ce3acddaba6500fa8">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a71e4f296aead9ddf54544b80d8ba2845">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>BaseClass&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0b65ee3e324534c44248bc39c8e87023">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>Body&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a1fb9f0f463edf515f8db3264c09c3637">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#a8458001b460ceac678955f23110ac051">xAPI_Definitions_Parser.Code.SyntaxTree.Getter</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a9c134c7c0ad3eaf4c321dada2327b534">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>Branch&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#adf23bf16cebd4faa8ddfcad060e7b070">xAPI_Definitions_Parser.IO.GitLabManager</a></li>
</ul>


<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>Class&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a8668adfbf6315bd93ca1ca5625b0c798">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>Comment&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#aa203b25e639ffda245eac255c6ab43ef">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#ad3d5e76184102c1b71da272edd07df4c">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
<li>Compiled&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a8c291d258dbd5b1923becae87cf526b6">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult</a></li>
<li>Constructors&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a586a1e6b34f619ce6781844851067d10">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>ContextClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a4c6d2c780a547edf233bbf428ed0d908">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>CoreDirName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ae76cd112cf8fb7681791eaf8bc1c2258">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a43885d07bf47e928b315658729c025ac">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#ac1ac3a153b55144c260edd0d8ee8852b">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
</ul>


<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>Definitions&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a5c310642a957d39b4f327991ca92717f">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt;</a></li>
<li>DefinitionsClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aff10db126ecf72fa944dfd6803571eba">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>DefinitionsDirName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#aae7c515da542a4a7e8a0307132427553">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a340b0ec535b6328a2d1156e1287ad192">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a270be06753f1a14d9822c90d9f01eabe">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>DefVal&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a747f5e201d28518cc1621bfe21b9d752">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a></li>
<li>Destination&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#a24be47576077712b2b960615aa412153">xAPI_Definitions_Parser.Code.CompilationArguments</a></li>
<li>DirContent&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#a4606c9d9afcefcbf00be793ef397fd7e">xAPI_Definitions_Parser.IO.FileMeta</a></li>
<li>Dotnet&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a0cb013ec2d36725a0d2974dca2631f0b">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>ExtensionClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a9c38033377dfbe8b08f896e7c3693c26">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>Extensions&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#af1e866187fee5a791be8c7b73ec41e86">xAPI_Definitions_Parser.Definitions.xAPIContext</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#aabf7c92f0e507c4ac9333461ebdffd9b">xAPI_Definitions_Parser.IO.Context</a></li>
<li>ExtensionsClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a1cefe86b76e0191829ea0967569ac3a4">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>ExtensionTypes&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#ac4c085858115013929a612c4e7abb417">xAPI_Definitions_Parser.Definitions.xAPIContext</a></li>
</ul>


<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>FileContent&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#aeff1432d617b1d6d8432862861a5fef4">xAPI_Definitions_Parser.IO.FileMeta</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>GetableProperties&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ac21010aead82ee61ff8610f3fe60ef97">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>Getter&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#aba09863953ff7b84effd03e755b129e8">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>Imports&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a256c031af882b020e557d189e1f5f361">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>IsDirectory&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html#adb3c160017c8009ca6aa39267e96e3b6">xAPI_Definitions_Parser.IO.FileMeta</a></li>
</ul>


<h3><a id="index_l" name="index_l"></a>- l -</h3><ul>
<li>Language&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ac4baf44fadba7a5c3a18f5f1ba19fc06">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html#aa837d59443a92deb973950879e3391ad">xAPI_Definitions_Parser.Code.CompilationArguments</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a4869f1a1bf758f656a7ef2edc89f6fbd">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a3ebbc11ead788488067875ab6e5e2a62">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a8a3f9b2c2383d0abd71e56dbcf8d43c0">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>Methods&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a3d44911578ee11551f05e2c4d0ae44bf">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>Modifiers&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html#a690c5a3ac107989a3feb7bbb1befcb42">xAPI_Definitions_Parser.Code.CSharp.CSharpSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html#a5938a3d986955d28b4765ca16e110527">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html#a8e5d796f3964441fa3d572d724815cc9">xAPI_Definitions_Parser.Code.Python.PythonSerializer</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a6728c31277ae7daee36a39c097529fc7">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a22d46653d7f484bcedd99b46ccd73161">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#abf3e026f13f355eb0b7792517d75fef5">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#ac376fbb210d2a5ad87b3d6996b7c2a3f">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a8f75c23c0eac891eb6e75ba5d58405c2">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html#af07b5e9989a9844d407a957e86c42b9d">xAPI_Definitions_Parser.Code.SyntaxTreeSerializer</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>Name&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a432a10cc55dcfa13a70de484cd2ec4d2">xAPI_Definitions_Parser.Code.SyntaxTree.Argument</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#ab129dcd971c1d2e3263689e54a23f64d">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a0e2f387f7e9d94043362735d4cf8acd4">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a4de404d2d709eaa09363b86c310218d9">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#aa35c189d7ffa17c4ae44a6e890c5819b">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a3de72c7a08c0c55bee42bb09e6081342">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a58ef60d885207117eb612e39c37d23e3">xAPI_Definitions_Parser.Definitions.xAPIContext</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a7aa6b9316943e41b892f06c4a4a00974">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt;</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a33076bd609a44c540f480d4cba75d19e">xAPI_Definitions_Parser.IO.Context</a></li>
<li>Namespace&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a2d91514decff0ee8a9016dc98f96d5a6">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#a3f4035ddc94c8ca3f7adf13be14f31a9">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a8768277c10fc110fcb2128ce6a99cffc">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#af691e1a1587a59bdbb46afbe90728bc8">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html#a88c03552e5858837c2ee0887ebe90489">xAPI_Definitions_Parser.Code.SyntaxTree.Root</a></li>
<li>NamespaceCore&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a018a62d9e3325c3bd4fd5502038d640f">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#ad03d55cdc713b6a4a3409814a29ecc17">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a3032f83bfebbb74888cecc333dc8fa41">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#ad26189d1d251883823b2b91eb8a635fd">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
<li>NamespaceDefinitions&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a9d013a8791797b8649acc6d7cadf3660">xAPI_Definitions_Parser.Code.CodeGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html#ad541321b82be46847ae1d03f64ae06b7">xAPI_Definitions_Parser.Code.CSharp.CSharpGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html#a76b68c20e2ee6c12fc61505454837b7d">xAPI_Definitions_Parser.Code.JavaScript.JavaScriptGenerator</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html#a52572f34e3f4ac8063a56c06935560f7">xAPI_Definitions_Parser.Code.Python.PythonGenerator</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>Parameters&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a8be90d9c65b73e7aa26745b38355d4ea">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#ab4d7266c0b561ce02f5458746f92f601">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>ProjectId&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#a072980c425d84c007524135f4a123b2c">xAPI_Definitions_Parser.IO.GitLabManager</a></li>
<li>Properties&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a5be476181b6664a3d2c6909940961cf1">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>RefFiles&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a3521263aba1f6d862c696a26e2a17d4d">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult</a></li>
<li>RefPath&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html#a003d46ab6884cb70a7a54ceed980ceb8">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationArguments</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>Source&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#a8ec001047c56dac07fc56c37ad80133d">xAPI_Definitions_Parser.Code.SyntaxTree.Import</a></li>
<li>SourceKey&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html#a39f7ebd62f2c1d465f955489465e61c4">xAPI_Definitions_Parser.IO.FileManager</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#a3ce0b975c8c696eb8dabf45cfcb15d19">xAPI_Definitions_Parser.IO.GitLabManager</a></li>
<li>Statements&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html#ab905792e2a7b46558454ae5cefde9771">xAPI_Definitions_Parser.Code.SyntaxTree.MethodBody</a></li>
<li>StatementsFile&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html#a29c96044a3cc36c18b42c2bfc68bee73">xAPI_Definitions_Parser.Code.CSharp.CSharpCompilationResult</a></li>
<li>SubDefinitions&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html#a5f0d6910e28c2e09d33a56e73f0f13f2">xAPI_Definitions_Parser.Definitions.xAPIDefinitionsList&lt; T &gt;</a></li>
<li>Success&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html#a495204a5f8c8aae9bd5785d7d17a171d">xAPI_Definitions_Parser.Code.CompilationResult</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>Target&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html#ab759bebe58c8bf6d2654a1e4f002ebbd">xAPI_Definitions_Parser.Code.SyntaxTree.Import</a></li>
<li>Type&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#ab8c71f0110883f36e86f55b42c36bd9d">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html#a445ab616546213fc9f43688e6d3f2be1">xAPI_Definitions_Parser.Code.SyntaxTree.GetableProperty</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a5012676ebcc9fdebf85bb142b30c1a5a">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html#a0f3148e4852172ee3be77b0ea89e64d6">xAPI_Definitions_Parser.Code.SyntaxTree.Parameter</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html#a9d2c483c142d9e3e6709cb9d0c0d81b8">xAPI_Definitions_Parser.Code.SyntaxTree.Property</a></li>
</ul>


<h3><a id="index_v" name="index_v"></a>- v -</h3><ul>
<li>Value&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a19217ae2d69255e6f18a69de930779f4">xAPI_Definitions_Parser.Code.SyntaxTree.Argument</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html#a2fa08cec4c7cd5607b3fe8efabf40d05">xAPI_Definitions_Parser.Code.SyntaxTree.Statement</a></li>
<li>VerbClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#ae8517f57e4129de9d5bd81dfbc20cf11">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>Verbs&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html#a309fbaf227e90570424e70430e81a65f">xAPI_Definitions_Parser.Definitions.xAPIContext</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html#a6b04e175bc220d4685da926ba1c02d7f">xAPI_Definitions_Parser.IO.Context</a></li>
<li>VerbsClassName&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#afc21c88c763889448ba61c819b2ef4e4">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
